goalFindPapers.mSteps = 
{
	{ action = "click", object = objectPorchWindowMechRusty },
	{ action = "click", object = objectShedShuttermanualManualClosed },
}
goalFindPapers.readyToStart = false
goalFindPapers.shownArrows = false
-- ----------------------------------------------------------------------------
function goalFindPapers:onStarted()
    
    objectPorchShed:ss(kActive)
    objectShedShuttermanualOpen:ss(kActive)
    objectShedShuttermanualManualClosed:ss(kActive)
    
    objectShedStackopapersMock:ss(kActive)
    
    -- Highlight animations
    objectShedDrawerInsect:ss(kIdle)
    layoutShed:showDrawerHighlight()
    
end
-- ----------------------------------------------------------------------------
function goalFindPapers:onFinished()
    
    objectShedStackopapersMock:ss(kDone)
    objectPorchWindowMechRusty:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalFindPapers:onLayoutHide(layout)

	if (not self.shownArrows) then
		if (layout == layoutPorchWindow) then
			layoutPorch:showExitArrow(objectPorchShed)
			layoutPorch.mHighlightedTime = layoutPorch.mHighlightedTimeStart
			layoutPorch.mHighlightedDelay = 0
			self.shownArrows = true
		end
	end

end
-- ----------------------------------------------------------------------------
function goalFindPapers:onClickObject(layout, object, props, x, y)

	if (self.readyToStart) and (object == objectShedShuttermanualManualClosed) then
		self:achieved()
	end
	
	if ((self.readyToStart == false) and (object == objectPorchWindowMechRusty)) then
		self.readyToStart = true
	end	
	
end
-- ----------------------------------------------------------------------------
function goalFindPapers:shouldStart()

	return self.readyToStart

end